Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000535TunixGauge/Dash Designerspublic2012-03-12 05:562012-03-30 20:30
ReporterToxicGumbo 
Assigned ToToxicGumbo 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version10.04 Lucid
Product Version0.9.24-SNAPSHOT 
Target Version0.9.24Fixed in Version0.9.24 
Summary0000535: Non-FreeEMS dashboards crash or won't close when loaded with FreeEMS personality
DescriptionWhen Dashboards other than FreeEMS-Tuning and Honda_Dash* are opened, none will close when requested. The Honda gauges will outright crash MegaTunix.

Open dashboards will close with MegaTunix at quit.
Steps To ReproduceNormal -
run in terminal
megatunix

select FreeEMS
click on Find my ECU
click on General tab
click on Choose a Dashboard File button
select any file other than FreeEMS-Tuning.xml or Honda_Dash*
right-click on dash, choose close
gauge remains open
click on Choose a Dashboard File button
select Honda_Dash.xml or Honda_Dash_degc.xml
program crashes with errors
result below

Debug -
run in terminal ( from megatunix build root directory )
cd src/.libs ; gdb ./megatunix
run --g-fatal-warnings

select FreeEMS
click on Find my ECU
click on General tab
click on Choose a Dashboard File button
select any file other than FreeEMS-Tuning.xml or Honda_Dash*
right-click on dash, choose close
gauge remains open
click on Choose a Dashboard File button
select Honda_Dash.xml or Honda_Dash_degc.xml
gdb notes critical error and signal SIGABRT.
program does not respond to input
( run backtrace in gdb)
result below
Additional InformationUsing MegaTunix 6302de8 build on amd64.

http://pastebin.com/QeksyJsE [^] << normal run, info following crash
http://pastebin.com/WgSLH8iK [^] << GDB debugging info of crash
TagsNo tags attached.
FirmwareVersionc76a4e0
Attached Files

- Relationships

-  Notes
(0001271)
dandruczyk (viewer)
2012-03-12 11:35

confirmed
(0001272)
dandruczyk (viewer)
2012-03-12 12:14

Fixed in hash 938c2ec310f9c1e33108690005a9cfe959f34d2a
User avatar (0001273)
ToxicGumbo (reporter)
2012-03-13 06:21

Updated to 105023a. All gauges will now open successfully, but MegaTunix segfaults on attempted close of any open gauge, including FreeEMS-Tuning.

Process taken upon normal MegaTunix start:

select FreeEMS
click on Find my ECU
click on General tab
click on Choose a Dashboard File button
select any dashboard file
right-click on dash, choose close
concludes with segfault

Debug mode pastebin: http://pastebin.com/GYDFvVKQ [^]
(0001274)
dandruczyk (viewer)
2012-03-13 13:13

Resolved in hash 6e2744e11411fae6ba78c44c1b88e46f0f249528
User avatar (0001275)
ToxicGumbo (reporter)
2012-03-13 13:41

Tested as fixed in hash 6e2744e.


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker